Skip to main content
GET
/
api
/
v1
/
workflows
List Workflows
curl --request GET \
  --url https://api.example.com/api/v1/workflows
{
  "items": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "trigger_type": "<string>",
      "trigger_config": {},
      "steps": [
        {}
      ],
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>"
    }
  ],
  "total": 123
}

Query Parameters

trigger_type
string | null
enabled
boolean | null
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
WorkflowResponse · object[]
required
total
integer
required